From: Jie Zhang <[email-masked]>
Date: Thu, 23 Dec 93 11:38:59 CST

Dear Netters:

I plan to obtain the 2-year residence waiver to help my 
spouse (LAD) PR application under E.O. 12711.

In filling out I-612 (waiver application), do I have to
submit I-94 cards of ours ?  For reasons (A: extremal
hardship; B:political persecution), which one to pick,
and how to submit evidence ?

I intend to omit this item,
and explain in my letter that this is asked only because
the local INS LAD interviewer asked me to obtain the waiver.

Share of exprience by netter in this regard will be appreciated. 

Happy Holiday Season to you all.